xn::ModuleMirrorInterface Class Referenceabstract

`#include <XnModuleCppInterface.h>`

## Public Member Functions

virtual | ~ModuleMirrorInterface ()
virtual XnStatus | SetMirror (XnBool bMirror)=0
virtual XnBool | IsMirrored ()=0
virtual XnStatus | RegisterToMirrorChange (XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle &hCallback)=0
virtual void | UnregisterFromMirrorChange (XnCallbackHandle hCallback)=0

## Constructor & Destructor Documentation

## ~ModuleMirrorInterface()

virtual xn::ModuleMirrorInterface::~ModuleMirrorInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## IsMirrored()

virtual XnBool xn::ModuleMirrorInterface::IsMirrored | ( |  | ) |

pure virtual

## RegisterToMirrorChange()

virtual XnStatus xn::ModuleMirrorInterface::RegisterToMirrorChange | ( | XnModuleStateChangedHandler | handler,
|  | void * | pCookie,
|  | XnCallbackHandle & | hCallback )

pure virtual

## SetMirror()

virtual XnStatus xn::ModuleMirrorInterface::SetMirror | ( | XnBool | bMirror | ) |

pure virtual

## UnregisterFromMirrorChange()

virtual void xn::ModuleMirrorInterface::UnregisterFromMirrorChange | ( | XnCallbackHandle | hCallback | ) |

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h